%define oname ktp-accounts-kcm

Summary:	KControl Module which handles Telepathy Accounts
Name:		telepathy-kde-accounts-kcm
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	intltool
BuildRequires:	kaccounts-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(TelepathyQt5)
Requires:	telepathy-kde-auth-handler
Requires:	telepathy-kde-common-internals

%description
This is a KControl Module which handles adding/editing/removing Telepathy
Accounts. It interacts with any Telepathy Spec compliant AccountManager,
such as telepathy-accountmanager-kwallet to manipulate the accounts.

%files -f %{name}.lang
%{_kde5_datadir}/telepathy/profiles/
%{_kde5_services}/*.desktop
%{_kde5_servicetypes}/ktpaccountskcminternal-accountuiplugin.desktop
%{_datadir}/accounts/providers/kde/*.provider
%{_datadir}/accounts/services/kde/*.service
%{_qt5_plugindir}/kaccounts/ui/ktpaccountskcm_plugin_kaccounts.so
%{_qt5_plugindir}/ktpaccountskcm_plugin_*.so

#------------------------------------------------------------------------------

%define major 9
%define libname %mklibname ktpaccountskcminternal %{major}

%package -n %{libname}
Summary:	Library package for %{name}
Group:		System/Libraries

%description -n %{libname}
Library package for %{name}.

%files -n %{libname}
%{_kde5_libdir}/libktpaccountskcminternal.so.%{major}
%{_kde5_libdir}/libktpaccountskcminternal.so.%{version}

#------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kcm_ktp_accounts kcmtelepathyaccounts_plugin_butterfly kcmtelepathyaccounts_plugin_gabble \
	kcmtelepathyaccounts_plugin_haze kcmtelepathyaccounts_plugin_idle kcmtelepathyaccounts_plugin_morse \
	kcmtelepathyaccounts_plugin_pintxo kcmtelepathyaccounts_plugin_rakia kcmtelepathyaccounts_plugin_salut \
	kcmtelepathyaccounts_plugin_sipe kcmtelepathyaccounts_plugin_sunshine %{name}.lang

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (f4ea9c8) New version 17.12.3


